function init()
	-- NAME & GRAPHIC --
	c.name = "Beacon"
	c.gfxFile = "beacon.png"

	-- STATS --
	c.mass = 120
	c.stat.thrust = 0
	c.stat.maxSpeed = 150
	c.stat.turnRate = 360
	c.stat.armour = 16

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.setExplodeSound("explode_ship.wav")
	--c.add_item("point",12)
	c.desc = "A stationary thing that probably does things."
	c.behavior = "beacon"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 6	--from map_icons.png, which frame to use.
	return 0
end